extends CanvasLayer
class_name PopNotification

onready var _animation : AnimationPlayer = get_node("ctrl/AnimationPlayer")


func show() -> void:
	if _animation.is_playing():
		return
	_animation.play("notification")


func hide() -> void:
	if _animation.is_playing():
		yield(_animation,"animation_finished")
	_animation.play_backwards("notification")
